Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.CORBA.kernel
Class Property

    java.lang.Object
      |
      +--org.openorb.CORBA.kernel.Property

public class Property
extends java.lang.Object

This class provides information about an OpenORB property. The class cannot be constructed outside of the Properties class.

Version:
  $Revision: 1.9 $ $Date: 2002/07/27 20:10:12 $
Author:
  Jerome Daniel

Method Summary
`boolean` | `getBooleanValue()` Get the property value as a boolean.
`java.lang.Class` | `getClassValue()` Get the property value as a Class object.
`int` | `getIntValue()` Get the property value as an integer.
`java.lang.String` | `getName()` Get the property name.
`java.net.URL` | `getURLValue()` Get the property value as a URL.
`java.lang.String` | `getValue()` Get the property value as a string.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

  Get the property name.

### getValue

    public java.lang.String getValue()

  Get the property value as a string.

### getIntValue

    public int getIntValue()

  Get the property value as an integer.
  Throws:
    `INITIALIZE` - the property value cannot be parsed as an int.

### getBooleanValue

    public boolean getBooleanValue()

  Get the property value as a boolean. Property values of false or no are parsed as false, all other values are parsed as true.

### getClassValue

    public java.lang.Class getClassValue()

  Get the property value as a Class object.
  Throws:
    `INITIALIZE` - the property value cannot be loaded as a class.

### getURLValue

    public java.net.URL getURLValue()

  Get the property value as a URL.
  Throws:
    `INITIALIZE` - the property value cannot be parsed as a URL.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD